%define name Transcriber
%define version 1.4.6
%define release CUED

Name:		%{name}
Summary:	A free tool for segmenting, labeling and transcribing speech
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Applications/Multimedia
URL:		http://membres.lycos.fr/fbonnet/Tcl/tcLex/index.en.htm
Source:	        Transcriber-1.4.6.tar.bz2
Requires:	tcl >= 8.0, tcLex >= 1.2
BuildRequires:	tcl
BuildRoot:	%{_tmppath}/Transcriber-1.4.6

%description
Transcriber is a tool for assisting the manual annotation of speech
signals. It provides a user-friendly graphical user interface for
segmenting long duration speech recordings, transcribing them, and
labeling speech turns, topic changes and acoustic conditions. It is more
specifically designed for the annotation of broadcast news recordings, for
creating corpora used in the development of automatic broadcast news
transcription systems, but its features might be found useful in other
areas of speech research.

%prep 
%setup -n Transcriber-1.4.6

%build
cd src
CFLAGS="$RPM_OPT_FLAGS -fPIC" ./configure --prefix=$RPM_BUILD_ROOT/usr

#%make
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/Transcriber
cp -r doc/* $RPM_BUILD_ROOT/usr/share/doc/packages/Transcriber
mkdir -p $RPM_BUILD_ROOT/usr/lib/transcriber1.4/tcl
mkdir -p $RPM_BUILD_ROOT/usr/lib/transcriber1.4/convert
mkdir -p $RPM_BUILD_ROOT/usr/bin
cd src
make install

%post

%postun

%files 
%defattr(-,root,root)
/usr/share/doc/packages/Transcriber
/usr/lib/transcriber1.4
/usr/lib/html_library-0.3
%defattr(755,root,root)
/usr/bin/trans

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 14 2004 Anna Langley <jal58@eng.cam.ac.uk>
- RPM for CUED installation created.


